function [ output_args ] = config_likelihood_barPlots_singleSbj_multiModels( h, x, xlabels )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
    

    for i = 1 : size(h, 2)

        b = h(i);
        b{1}(1).FaceColor = config_barColor(i, 1); 
        b{1}(2).FaceColor = config_barColor(i, 2);
        b{1}(1).EdgeColor = config_barColor(i, 1);
        b{1}(2).EdgeColor = config_barColor(i, 1);
        b{1}(2).BarWidth = 0.05;
        
    end
      ax = b{1}(1).Parent;
      config_axes(ax, x, xlabels);
      config_legend();
end

function  faceColor = config_barColor(i, idx)

    barColor(:, :, 1) = [...
    1 1 0.2; ...
    1 0.6 0.4; ...
    1.0 0.2 0.2; ...
    0.6 0 0.4; ...
    0.4 0 0.6; ...
    0.4 0.2 0.8; ...
    0.4 0.6 1.0; ...
    0.2 1.0 1.0]';

    barColor(:, :, 2) = [...
    1 1 0.6; ...
    1 0.8 0.6; ...
    1.0 0.4 0.4; ...
    0.6 0.4 0.6; ...
    0.6 0.4 0.8; ...
    0.6 0.6 1.0; ...
    0.6 0.8 1.0; ...
    0.6 1.0 1.0]';


    
    faceColor = barColor(:, i, idx);
        
end

function config_legend()

    lgd = legend('show');
    lgd.String = {...
        'm1: lh', 'm1: kl', ...
        'm2: lh', 'm2: kl',...
        'm3: lh', 'm3: kl',...
        'm4: lh', 'm4: kl',...
        'm5: lh', 'm5: kl',...
        'm6: lh', 'm6: kl',...
        'm7: lh', 'm7: kl',...
        'm8: lh', 'm8: kl'};
    lgd.Box = 'off';
    lgd.Location = 'eastoutside';
    lgd.Orientation = 'vertical';
    
end


function config_axes(ax, x, xlabels)
      ax.YGrid = 'on';
      %ax.XTick = sort([[1:8] - 2 * 0.2, [1:8] - 0.2, [1:8], [1:8] + 0.2]);
      %ax.XTick = sort([[1:8] - 0.2, [1:8] + 0.2]);
      ax.XTickLabel = []; %{'class', 'vbsb01', 'vbsv02', 'vbsv03'};
      %ax.XTickLabel = {'class', 'vbsb01'};
      ax.XTickLabelRotation = 45;
      ax.YLabel.String = 'model evidence decomposition [a.u]';
end